Package org.eclipse.birt.chart.model.attribute

# Enum RuleType

java.lang.Object
java.lang.Enum<RuleType>
org.eclipse.birt.chart.model.attribute.RuleType

All Implemented Interfaces:
  `Serializable`, `Comparable<RuleType>`, `java.lang.constant.Constable`, `org.eclipse.emf.common.util.Enumerator`

public enum RuleType extends Enum<RuleType> implements org.eclipse.emf.common.util.Enumerator
Deprecated.
only reserved for compatibility
A representation of the literals of the enumeration ' Rule Type', and utility methods for working with them. This type represents the possible rule types for use in Query objects.

See Also:
  - `AttributePackage.getRuleType()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FILTER_LITERAL`
Deprecated.
The 'Filter' literal object.
`LINK_LITERAL`
Deprecated.
The 'Link' literal object.
`SUPPRESS_LITERAL`
Deprecated.
The 'Suppress' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`FILTER`
Deprecated.
The 'Filter' literal value.
`static final int`
`LINK`
Deprecated.
The 'Link' literal value.
`static final int`
`SUPPRESS`
Deprecated.
The 'Suppress' literal value.
`static final List<RuleType>`
`VALUES`
Deprecated.
A public read-only list of all the 'Rule Type' enumerators.

## Method Summary

Modifier and Type
Method
Description
`static RuleType`
`get(int value)`
Deprecated.
Returns the 'Rule Type' literal with the specified integer value.
`static RuleType`
`get(String literal)`
Deprecated.
Returns the 'Rule Type' literal with the specified literal value.
`static RuleType`
`getByName(String name)`
Deprecated.
Returns the 'Rule Type' literal with the specified name.
`String`
`getLiteral()`
Deprecated.
`String`
`getName()`
Deprecated.
`int`
`getValue()`
Deprecated.
`String`
`toString()`
Deprecated.
Returns the literal value of the enumerator, which is its string representation.
`static RuleType`
`valueOf(String name)`
Deprecated.
Returns the enum constant of this type with the specified name.
`static RuleType[]`
`values()`
Deprecated.
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FILTER_LITERAL

public static final RuleType FILTER_LITERAL
Deprecated.
The 'Filter' literal object.

If the meaning of 'Filter' literal object isn't clear, there really should be more of a description here...

See Also:
  - `FILTER`

### SUPPRESS_LITERAL

public static final RuleType SUPPRESS_LITERAL
Deprecated.
The 'Suppress' literal object.

If the meaning of 'Suppress' literal object isn't clear, there really should be more of a description here...

See Also:
  - `SUPPRESS`

### LINK_LITERAL

public static final RuleType LINK_LITERAL
Deprecated.
The 'Link' literal object.

If the meaning of 'Link' literal object isn't clear, there really should be more of a description here...

See Also:
  - `LINK`

## Field Details

### FILTER

public static final int FILTER
Deprecated.
The 'Filter' literal value.

See Also:
  - `FILTER_LITERAL`
  - Constant Field Values

### SUPPRESS

public static final int SUPPRESS
Deprecated.
The 'Suppress' literal value.

See Also:
  - `SUPPRESS_LITERAL`
  - Constant Field Values

### LINK

public static final int LINK
Deprecated.
The 'Link' literal value.

See Also:
  - `LINK_LITERAL`
  - Constant Field Values

### VALUES

public static final List<RuleType> VALUES
Deprecated.
A public read-only list of all the 'Rule Type' enumerators.

## Method Details

### values

public static RuleType[] values()
Deprecated.
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static RuleType valueOf(String name)
Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static RuleType get(String literal)
Deprecated.
Returns the 'Rule Type' literal with the specified literal value.

### getByName

public static RuleType getByName(String name)
Deprecated.
Returns the 'Rule Type' literal with the specified name.

### get

public static RuleType get(int value)
Deprecated.
Returns the 'Rule Type' literal with the specified integer value.

### getValue

public int getValue()
Deprecated.

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

public String getName()
Deprecated.

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

public String getLiteral()
Deprecated.

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

public String toString()
Deprecated.
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<RuleType>`